Rolling back to a named savepoint.
Begin Tran
      Update AUTHORS
      Set    CONTRACT = 1
      Where  AU_ID = '341-22-1782'

      /* save our work to this point */
      Save Transaction AuthorDone

      Update TITLEAUTHOR
            Set    ROYALTYPER = ROYALTYPER + 25
            Where  AU_ID = '341-22-1782'
      If @@error != 0 Or @@RowCount > 1
      Begin
            /* rollback and exit */
            Rollback Tran AuthorDone
            Print 'Error occurred when updating TitleAuthor'
            Return
      End
Commit Tran
Print 'Transaction Committed'
