CREATE TRIGGER Tri_Ins_Sales
ON    Sales
FOR   INSERT, UPDATE
AS
/* 襬  ६ */
Declare     @nDayOfMonth      TINYINT
/* । ଠ  ⠢塞  */
Select      @nDayOfMonth = DATEPART( Day, I.ORD_DATE )
FROM  Sales S, Inserted I
WHERE S.stor_id = I.stor_id
AND   S.ord_num = I.ord_num
AND   S.title_id = I.title_id
/*  ⥯ ஢ਬ ᫮ ⠢  */
/* ,  室, ୥ 訡      */
If @nDayOfMonth > 15
Begin
      /* ! ࢠ 믮  Rollback.  */
      /*      㢥७  ⮬,      */
      /*    楤 ࠡ⪨ 訡      */ 
      /*  ஢  .  १    */
      /* 楤 ⪠            */
      /* । ६                         */
      ROLLBACK TRAN
      RAISERROR ( ' 室   15 ᫠ ⥪饣 ',
                16, 10 )
END
GO
