/* Thursday, April 09, 1998 9:05:10 AM */

USE master
GO
CREATE DATABASE MyCompany
ON 
(NAME = MyCompany_Dat,
 FILENAME = 'c:\mssql7\data\MyCompanyDat.mdf',
 SIZE = 4,
 MAXSIZE = 5,
 FILEGROWTH = 1)
LOG ON
(NAME = MyCompany_Log,
 FILENAME = 'c:\mssql7\data\MyCompanylog.ldf',
 SIZE = 3MB,
 MAXSIZE = 4MB,
 FILEGROWTH = 1MB)
GO

USE MyCompany
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
COMMIT
BEGIN TRANSACTION
CREATE TABLE dbo.Employee
	(
 	Name varchar(20) NOT NULL,
	Department varchar(20) NOT NULL,
	badge int NOT NULL
	) ON [default]
GO
CREATE NONCLUSTERED INDEX IX_Employee ON dbo.Employee
	(
	badge
	) ON [default]
GO
COMMIT

USE MyCompany
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
COMMIT
BEGIN TRANSACTION
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Bob Smith', 'SALES', 1834)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Fred Sanders', 'SALES', 1051)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Stan Humphries', 'Field Service', 3211)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Fred Stanhope', 'Field Service', 6732)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Sue Sommers', 'Logistics', 4411)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Lance Finepoint', 'Library', 5522)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Mark McGuire', 'Field Service', 1997)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Sally Springer', 'Sales', 9998)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Ludmilla Valencia', 'Software', 7773)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Barbara Lint', 'Field Service', 8883)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Jeffery Vickers', 'Mailroom', 8005)
GO
INSERT INTO dbo.Employee
	(Name, Department, badge)
	VALUES
	('Jim Walker', 'Unit Manager', 7779)
GO

COMMIT
