/* create the table */
Create TABLE TABLE_A
( COLUMN_A smallint)
go

/* add the basic primary key without specifying the name */
Alter Table TABLE_A ADD PRIMARY KEY (COLUMN_A)
go

/* create the table */
Create TABLE TABLE_B
( COLUMN_B smallint)
go

/* add the primary key specifying the name */
Alter Table TABLE_B ADD CONSTRAINT PK_COLUMN_B PRIMARY KEY (COLUMN_B)
go

/* create the table */
Create TABLE TABLE_C
( COLUMN_C smallint)
go

/* Now create a foreign key referencing TABLE_A */
Alter Table TABLE_C ADD FOREIGN KEY (COLUMN_C) REFERENCES TABLE_A(COLUMN_A)
go

/* create the table */
Create TABLE TABLE_D
( COLUMN_D1 smallint,
  COLUMN_D2 smallint)
go

/* Now add the multi-column primary key */
Alter Table TABLE_D ADD CONSTRAINT PK_D_COLUMNS PRIMARY KEY 
(COLUMN_D1, COLUMN_D2)
go

/* create the table */
Create TABLE TABLE_E
( COLUMN_E1 smallint,
  COLUMN_E2 smallint)
go

/* now add the foreign key referencing the multi-column
   primary key */
Alter Table TABLE_E ADD CONSTRAINT FK_E_COLUMNS FOREIGN KEY 
(COLUMN_E1, COLUMN_E2)
REFERENCES TABLE_D( COLUMN_D1, COLUMN_D2)
go



